## moreutils 0.14

=== Makefile ===
BINS=isutf8 ifdata pee sponge
PERLSCRIPTS=vidir vipe ts combine zrun
MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 pee.1 zrun.1
CFLAGS=-O2 -g -Wall

all: $(BINS) $(MANS)

clean:
	rm -f $(BINS) $(MANS)

install:
	mkdir -p $(PREFIX)/usr/bin
	install -s $(BINS) $(PREFIX)/usr/bin
	install $(PERLSCRIPTS) $(PREFIX)/usr/bin
	
	mkdir -p $(PREFIX)/usr/share/man/man1
	install $(MANS) $(PREFIX)/usr/share/man/man1

check: isutf8
	./check-isutf8

isutf8.1: isutf8.docbook
	docbook2x-man $<

ifdata.1: ifdata.docbook
	docbook2x-man $<

pee.1: pee.docbook
	docbook2x-man $<

sponge.1: sponge.docbook
	docbook2x-man $<

%.1: %
	pod2man --center=" " --release="moreutils" $< > $@;

=== debian/changelog ===
moreutils (0.14) unstable; urgency=low

  * vidir: Also support EDITOR or VISUAL that contains spaces and parameters.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jul 2006 13:35:49 -0400

moreutils (0.13) unstable; urgency=low

  * ifdata: typo
  * vipe: Support EDITOR or VISUAL that contains spaces and parameters.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jul 2006 12:53:44 -0400

moreutils (0.12) unstable; urgency=low

  * Really fix typo. Closes: #369485
  * zrun: Add usage message.
  * ifdata: Fix bug in argument parsing that could make it segfault.
  * combine: Allow operators to be written in any case.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Jun 2006 14:04:49 -0400

moreutils (0.11) unstable; urgency=low

  * combine: better synopsis. Closes: #360544
  * ifdata: basically rewritten by Adam Lackorzynski, code size is 40%
    smaller, macros removed, return checks added for all lib calls.
    Closes: #361728
  * vidir: behave properly if passed a directory name to edit. Closes: #369156
  * check-isutf8: needs to be a bash script, the way it encodes characters
    won't work with dash.
  * check-isutf8: exit nonzero if any tests fail

 -- Joey Hess <joeyh@debian.org>  Sat, 27 May 2006 19:12:50 -0400

moreutils (0.10) unstable; urgency=low

  * ifdata: patch from Adam Lackorzynski to translate French error messages
    to English and to convert some #defines to enums.
  * ifdata: patch from Adam Lackorzynski to avoid printing info for
    bogus interface. Closes: #360433
  * Add zrun, contributed by Chung-chieh Shan (you might prefer to alias it to
    "z").

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Apr 2006 18:34:01 -0400

moreutils (0.9) unstable; urgency=low

  * ifdata: robustness patch from Adam Lackorzynski, in particular deal with
    /proc not mounted. Closes: #358930
  * Typo fixes. Closes: #359039, #359040
  * pee: don't send a copy of every line sent to every command to stdout.
    Seems best for it not to output anything to stdout on its on at all.
    Closes: #359041

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Mar 2006 13:45:45 -0500

moreutils (0.8) unstable; urgency=low

  * Back to Mithandir's C sponge, now fixed.
  * tss.1, ifdata.1: typo fix. Closes: #358557, #358556
  * ifdata: patch from its author to make it behave properly on big endian
    systems. Closes: #358860

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Mar 2006 20:52:21 -0500

moreutils (0.7) unstable; urgency=low

  * Add pee (pipe tee) contributed by Miek Gieben.
  * ifdata: Patch from KELEMEN Peter to add support for printing hardware
    interface. Closes: #357646

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:17:08 -0500

moreutils (0.6) unstable; urgency=low

  * Revert to perl sponge since the C one corrupts larger files.
    Hopefully temporary..

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Mar 2006 15:33:43 -0500

moreutils (0.5) unstable; urgency=low

  * Added ifdata, by Benjamin BAYART (originally called ifcfg).
  * Made ifdata -Wall clean.
  * Made ifdata support -h and print usage on unknown options.
  * Cleaned up ifdata's behavior when asked to print info for nonexistant
    devices. Still needs improvement.
  * Indentation improvements.
  * Replaced and(1) and not(1) by combine, based on an idea by Matt Taggart.

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Mar 2006 23:02:14 -0500

moreutils (0.4) unstable; urgency=low

  * Added versions of and(1) and not(1) that support arbitrary numbers of
    input files.

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 22:28:13 -0500

moreutils (0.3) unstable; urgency=low

  * Switch sponge to a C implementation by mithandir.
  * Added a list of prospective tools that I am considering adding to the
    README file.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Mar 2006 18:09:46 -0500

moreutils (0.2) unstable; urgency=low

  * Build dep on docbook-xml.

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Feb 2006 18:40:56 -0500

moreutils (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Feb 2006 17:11:21 -0500

=== debian/control ===
Source: moreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.2

Package: moreutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: additional unix utilities
 This is a growing collection of the unix tools that nobody thought
 to write thirty years ago.
 .
 So far, it includes the following utilities:
  - isutf8: check if a file or standard input is utf-8
  - sponge: soak up standard input and write to a file
  - ts: timestamp standard input
  - vidir: edit a directory in your text editor
  - vipe: insert a text editor into a pipe
  - combine: combine the lines in two files using boolean operations
  - ifdata: get network interface info without parsing ifconfig output
  - pee: tee standard input to pipes
  - zrun: automatically uncompress arguments to command

## moreutils 0.19

=== debian/changelog ===
moreutils (0.19) unstable; urgency=low

  * vidir: Don't ignore files whose names end in dots. Closes: #398141
    Thanks, Bram Sanders.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Nov 2006 22:02:17 -0500

moreutils (0.18) unstable; urgency=low

  * mispipe.docbook: Typo. Closes: #386756
  * spongs: Output to stdout if no file is specified, useful in a pipeline
    such as: cvs diff | sponge | patch -R -p0
    Closes: #387501

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Sep 2006 15:13:46 -0400

moreutils (0.17) unstable; urgency=low

  * Add missing \n to sponge usage. Closes: #383944
  * Add mispipe, contributed by Nathanael Nerode. Pipes together two commands,
    returning the exit status of the first.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Sep 2006 20:49:16 -0400

moreutils (0.16) unstable; urgency=low

  * Change the default ts format to include the month and day, for consistency
    with syslog format.
  * Add -r switch to ts, which makes it convert existing timestamps in
    the input into relative times, such as "15m2s ago". Many common date
    formats are supported.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Aug 2006 15:27:42 -0400

moreutils (0.15) unstable; urgency=low

  * Remove notes about potential tools from README, moved to wiki.
  * vidir: Don't abort if it sees an empty or all-whitespace line.
  * vidir: If just a filename is removed and the number is left,
    treat this the same as removing the whole line, and delete the file,
    instead of trying to rename the file to "".
  * vidir: Remove the periods after the item numbers.
  * vidir: Man page improvements. Closes: #378122
  * combine: Man page improvements, to clarify even more that order does
    matter and that the operations are not commutative. Closes: #361123
  * combine: The behavior of "or" was fairly strange if lines were repeated in
    a file. Changed behavior to just print all lines from both files, even
    if this means printing dups. Not sure I like this behavior either, but
    it's consistent with the very useful behaviors of "and" and "not".
  * vidir, vipe: Use /usr/bin/editor if it's present, and EDITOR and VISUAL
    arn't set, to comply with Debian policy. For portability, fall back to vi
    if there's no /usr/bin/editor. Closes: #378623

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Jul 2006 22:26:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.kitenet.net/moreutils/trunk
 
 Package: moreutils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Suggests: libtime-duration-perl, libtimedate-perl
 Description: additional unix utilities
  This is a growing collection of the unix tools that nobody thought
  to write thirty years ago.
@@ -22,3 +24,4 @@
   - ifdata: get network interface info without parsing ifconfig output
   - pee: tee standard input to pipes
   - zrun: automatically uncompress arguments to command
+  - mispipe: pipe two commands, returning the exit status of the first

## moreutils 0.20~bpo1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-BINS=isutf8 ifdata pee sponge
+BINS=isutf8 ifdata pee sponge mispipe
 PERLSCRIPTS=vidir vipe ts combine zrun
-MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 pee.1 zrun.1
+MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 pee.1 zrun.1 mispipe.1
 CFLAGS=-O2 -g -Wall
 
 all: $(BINS) $(MANS)
@@ -31,5 +31,8 @@
 sponge.1: sponge.docbook
 	docbook2x-man $<
 
+mispipe.1: mispipe.docbook
+	docbook2x-man $<
+
 %.1: %
 	pod2man --center=" " --release="moreutils" $< > $@;

=== debian/changelog ===
moreutils (0.20~bpo1) sarge-backports; urgency=low

  * Rebuild for Backports <http://www.backports.org/>.

 -- Gurkan Sengun <gurkan@linuks.mine.nu>  Thu, 11 Jan 2007 13:55:18 +0100

moreutils (0.20) unstable; urgency=low

  * Typo fixes from Ralf Wildenhues.
  * ifdata: Add -bips and -bops options contributed by André Appel,
    to print the number of bytes of incoming/outgoing traffic per second.

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Dec 2006 15:55:45 -0500

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
+Uploaders: Gurkan Sengun <gurkan@linuks.mine.nu>
 Standards-Version: 3.7.2
 XS-Vcs-Svn: svn://svn.kitenet.net/moreutils/trunk

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -i clean
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/moreutils install
	dh_installdocs README
	dh_installchangelogs
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/moreutils/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## moreutils 0.26ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-BINS=isutf8 ifdata pee sponge mispipe
+BINS=isutf8 ifdata pee sponge mispipe lckdo
 PERLSCRIPTS=vidir vipe ts combine zrun
-MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 pee.1 zrun.1 mispipe.1
+MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 pee.1 zrun.1 mispipe.1 lckdo.1
 CFLAGS=-O2 -g -Wall
+INSTALL_BIN=install -s
 
 all: $(BINS) $(MANS)
 
@@ -10,7 +11,7 @@
 
 install:
 	mkdir -p $(PREFIX)/usr/bin
-	install -s $(BINS) $(PREFIX)/usr/bin
+	$(INSTALL_BIN) $(BINS) $(PREFIX)/usr/bin
 	install $(PERLSCRIPTS) $(PREFIX)/usr/bin
 	
 	mkdir -p $(PREFIX)/usr/share/man/man1
@@ -34,5 +35,8 @@
 mispipe.1: mispipe.docbook
 	docbook2x-man $<
 
+lckdo.1: lckdo.docbook
+	docbook2x-man $<
+
 %.1: %
 	pod2man --center=" " --release="moreutils" $< > $@;

=== debian/changelog ===
moreutils (0.26ubuntu1) hardy; urgency=low

  * Add a transition package for lckdo. It is now included in moreutils,
    so we would like to remove the old lckdo source package. As lckdo
    was shipped in gutsy we need to provide the transition, but Debian
    do not, so we just apply this as a Ubuntu delta (LP: #157663).
    This transitional package can be dropped in hardy+1.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- James Westby <jw+debian@jameswestby.net>  Sat, 23 Feb 2008 16:36:49 +0000

moreutils (0.26) unstable; urgency=low

  * isutf8: Correct inverted exit code when passed a file to check.
    Closes: #453306

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Nov 2007 14:19:32 -0500

moreutils (0.25) unstable; urgency=low

  * isutf8: Detect and reject overlong UTF-8 sequences. Closes: #440951
    Many thanks to liw for the patch.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Nov 2007 11:58:07 -0500

moreutils (0.24) unstable; urgency=low

  * vidir: Force numbers to normalised integers.
  * vidir: Abort on unknown item numbers rather than deleting them.
    Closes: #442440

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Sep 2007 13:05:54 -0400

moreutils (0.23) unstable; urgency=low

  * Add pointer to join from combine's man page. Closes: #435516
  * Don't strip binaries for debian package if built with
    DEB_BUILD_OPTIONS=nostrip. Closes: #437577
  * Include Michael Tokarev's lckdo program and replace / conflict with the
    current lckdo package. (Robert Edmonds) Closes: #432906
  * lckdo: Don't clear other flags when setting close on exec.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Sep 2007 21:45:25 -0400

moreutils (0.22) unstable; urgency=low

  * vidir, zrun: Don't put temp files in the current directory. Closes: #429367

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2007 16:11:27 -0400

moreutils (0.21) unstable; urgency=low

  * Patch from Sergej Pupykin fixing ifdata -pN.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2007 13:07:21 -0400

=== debian/control ===
Source: moreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
Vcs-Svn: svn://svn.debian.org/moreutils/trunk
Homepage: http://kitenet.net/~joey/code/moreutils/

Package: moreutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: libtime-duration-perl, libtimedate-perl
Conflicts: lckdo (<= 0-1)
Replaces: lckdo (<= 0-1)
Description: additional unix utilities
 This is a growing collection of the unix tools that nobody thought
 to write thirty years ago.
 .
 So far, it includes the following utilities:
  - sponge: soak up standard input and write to a file
  - ifdata: get network interface info without parsing ifconfig output
  - vidir: edit a directory in your text editor
  - vipe: insert a text editor into a pipe
  - ts: timestamp standard input
  - combine: combine the lines in two files using boolean operations
  - pee: tee standard input to pipes
  - zrun: automatically uncompress arguments to command
  - mispipe: pipe two commands, returning the exit status of the first
  - isutf8: check if a file or standard input is utf-8
  - lckdo: execute a program with a lock held

Package: lckdo
Architecture: all
Depends: moreutils (>= 0.23)
Description: execute a program with a lock held (transitional package)
 lckdo allows you execute a program with a lock held.
 .
 The program is now included in the moreutils package, and so this
 package is simply a transitional package to install the moreutils
 package for upgrades from gutsy.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) -i clean
+	$(MAKE) -i clean
 	dh_clean
 
 binary-indep: build
@@ -21,7 +21,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=debian/moreutils install
+	$(MAKE) PREFIX=debian/moreutils INSTALL_BIN=install install
 	dh_installdocs README
 	dh_installchangelogs
 	dh_perl

## moreutils 0.28~bpo40%2B1

=== debian/changelog ===
moreutils (0.28~bpo40+1) etch-backports; urgency=low

  * etch backport.
  * Add myself to Uploaders.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 06 Mar 2008 14:43:42 -0500

moreutils (0.28) unstable; urgency=low

  * Moved to a git repository.
  * vidir: Applied patch from Stefan Fritsch (one part of #412176):
    - Check for control characters (especially newlines) in filenames
      and error out, since this can greatly confuse the editor or vidir.
    - If the source of a rename does not exist (and thus the rename will fail
      anyway), vidir should not move an existing target file to a tmpfile.
    - If a directory is renamed, vidir should take that into account when
      renaming files in this directory.
    - If a directory name is passed as name/ to vidir, vidir should not
      add second slash after the name.
  * vidir: Add support for unlinking directories. To recursivly delete
    a directory and its contents, pipe find to vidir, and delete the directory
    and its contents in the editor. Closes: #412176
  * Add example to man page about recursive modification of directories.
    Closes: #390099

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 17:26:23 -0500

moreutils (0.27) unstable; urgency=low

  * vidir: Check exit codes of close. Closes: #463739

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 16:42:18 -0500

## moreutils 0.28~bpo40+1

=== debian/control ===
Source: moreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Gurkan Sengun <gurkan@linuks.mine.nu>, Robert S. Edmonds <edmonds@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://git.kitenet.net/moreutils
Homepage: http://kitenet.net/~joey/code/moreutils/

Package: moreutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: libtime-duration-perl, libtimedate-perl
Conflicts: lckdo
Replaces: lckdo
Description: additional unix utilities
 This is a growing collection of the unix tools that nobody thought
 to write thirty years ago.
 .
 So far, it includes the following utilities:
  - sponge: soak up standard input and write to a file
  - ifdata: get network interface info without parsing ifconfig output
  - vidir: edit a directory in your text editor
  - vipe: insert a text editor into a pipe
  - ts: timestamp standard input
  - combine: combine the lines in two files using boolean operations
  - pee: tee standard input to pipes
  - zrun: automatically uncompress arguments to command
  - mispipe: pipe two commands, returning the exit status of the first
  - isutf8: check if a file or standard input is utf-8
  - lckdo: execute a program with a lock held

## moreutils 0.31

=== Makefile ===
BINS=isutf8 ifdata ifne pee sponge mispipe lckdo
PERLSCRIPTS=vidir vipe ts combine zrun
MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 mispipe.1 lckdo.1
CFLAGS=-O2 -g -Wall
INSTALL_BIN?=install -s

DOCBOOK2XMAN="docbook2x-man"

all: $(BINS) $(MANS)

clean:
	rm -f $(BINS) $(MANS)

install:
	mkdir -p $(DESTDIR)/usr/bin
	$(INSTALL_BIN) $(BINS) $(DESTDIR)/usr/bin
	install $(PERLSCRIPTS) $(DESTDIR)/usr/bin
	
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install $(MANS) $(DESTDIR)/usr/share/man/man1

check: isutf8
	./check-isutf8

isutf8.1: isutf8.docbook
	$(DOCBOOK2XMAN) $<

ifdata.1: ifdata.docbook
	$(DOCBOOK2XMAN) $<

ifne.1: ifne.docbook
	$(DOCBOOK2XMAN) $<

pee.1: pee.docbook
	$(DOCBOOK2XMAN) $<

sponge.1: sponge.docbook
	$(DOCBOOK2XMAN) $<

mispipe.1: mispipe.docbook
	$(DOCBOOK2XMAN) $<

lckdo.1: lckdo.docbook
	$(DOCBOOK2XMAN) $<

%.1: %
	pod2man --center=" " --release="moreutils" $< > $@;

=== debian/changelog ===
moreutils (0.31) unstable; urgency=low

  * pee.1: Document difference with tee in stdout.
  * ts: Support displaying fractional seconds via a "%.S" conversion
    specification. Closes: #482789

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Jun 2008 23:19:31 -0400

moreutils (0.30) unstable; urgency=low

  * debhelper v7; rules file minimisation
  * Use DESTDIR instead of PREFIX.
  * Add a DOCBOOK2XMAN setting. (Greg KH)
  * ifne: Add -n which makes it run the command if stdin is empty.
  * ifne: If no command is specified, print usage information.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2008 19:37:42 -0400

moreutils (0.29) unstable; urgency=low

  * Add ifne, contributed by Javier Merino.
  * sponge, ifne: Ensure that suspending/resuming doesn't
    result in partial writes of the data, by using fwrite()
    rather than write().
  * sponge: Handle large data sizes by using a temp file rather than by
    consuming arbitrary amounts of memory. Patch by Brock Noland.
  * ts: Allow both -r and a format to be specified, to parse dates and output
    in a specified format.
  * ts: Fix bug in timezone regexp.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Apr 2008 15:30:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: moreutils
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Gurkan Sengun <gurkan@linuks.mine.nu>, Robert S. Edmonds <edmonds@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/
 
@@ -21,6 +20,7 @@
  So far, it includes the following utilities:
   - sponge: soak up standard input and write to a file
   - ifdata: get network interface info without parsing ifconfig output
+  - ifne: run a program if the standard input is not empty
   - vidir: edit a directory in your text editor
   - vipe: insert a text editor into a pipe
   - ts: timestamp standard input

## moreutils 0.34

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 mispipe.1 lckdo.1
 CFLAGS=-O2 -g -Wall
 INSTALL_BIN?=install -s
+PREFIX=/usr
 
 DOCBOOK2XMAN="docbook2x-man"
 
@@ -12,12 +13,12 @@
 	rm -f $(BINS) $(MANS)
 
 install:
-	mkdir -p $(DESTDIR)/usr/bin
-	$(INSTALL_BIN) $(BINS) $(DESTDIR)/usr/bin
-	install $(PERLSCRIPTS) $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL_BIN) $(BINS) $(DESTDIR)$(PREFIX)/bin
+	install $(PERLSCRIPTS) $(DESTDIR)$(PREFIX)/bin
 	
-	mkdir -p $(DESTDIR)/usr/share/man/man1
-	install $(MANS) $(DESTDIR)/usr/share/man/man1
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
+	install $(MANS) $(DESTDIR)$(PREFIX)/share/man/man1
 
 check: isutf8
 	./check-isutf8

=== debian/changelog ===
moreutils (0.34) unstable; urgency=low

  * vipe: Avoid dying on empty input. Thanks, Anders Kaseorg
    Closes: #508491

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Dec 2008 15:11:23 -0500

moreutils (0.33) unstable; urgency=low

  * Support installing moreutils into prefixes other than /usr (Evan Broder)
  * Fix zrun breakage introduced last version. Closes: #504129

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Oct 2008 17:01:03 -0400

moreutils (0.32) unstable; urgency=low

  * zrun: Can be linked to zsomeprog to run the equivilant of zrun someprog.
    Closes: #411623 (Stefan Fritsch)
  * zrun: Add support for lzma and lzo. (Stefan Fritsch)
  * Fix pod error in vidir(1).

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Oct 2008 23:43:30 -0400

## moreutils 0.35

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 INSTALL_BIN?=install -s
 PREFIX=/usr
 
-DOCBOOK2XMAN="docbook2x-man"
+DOCBOOK2XMAN=docbook2x-man
 
 all: $(BINS) $(MANS)

=== debian/changelog ===
moreutils (0.35) unstable; urgency=low

  * ifdata: Don't assume that all interface names are 6 characters or less,
    for instance "wmaster0" is longer. Increase the limit to 20 characters.
    Closes: #526654 (Thanks, Alan Pope)
  * isutf8: Reject UTF-8-encoded UTF-16 surrogates. Closes: #525301
    (Thanks, Jakub Wilk and liw)

 -- Joey Hess <joeyh@debian.org>  Tue, 05 May 2009 15:06:41 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/

## moreutils 0.37

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-BINS=isutf8 ifdata ifne pee sponge mispipe lckdo
+BINS=isutf8 ifdata ifne pee sponge mispipe lckdo parallel
 PERLSCRIPTS=vidir vipe ts combine zrun
-MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 mispipe.1 lckdo.1
+MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 mispipe.1 lckdo.1 parallel.1
 CFLAGS=-O2 -g -Wall
 INSTALL_BIN?=install -s
 PREFIX=/usr
@@ -44,5 +44,8 @@
 lckdo.1: lckdo.docbook
 	$(DOCBOOK2XMAN) $<
 
+parallel.1: parallel.docbook
+	$(DOCBOOK2XMAN) $<
+
 %.1: %
 	pod2man --center=" " --release="moreutils" $< > $@;

=== debian/changelog ===
moreutils (0.37) unstable; urgency=low

  * parallel: Clarify man page regarding CPUs. Closes: #536597
  * parallel: Add -n option. Thanks, Pierre Habouzit. Closes: #537992
    (As a side effect, fixes a segfault if -- was omitted.)
  * parallel.1: Typo fixes. Closes: #538147

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Jul 2009 10:18:40 +0200

moreutils (0.36) unstable; urgency=low

  * parallel: New program, contributed by Tollef Fog Heen,
    that can run multiple jobs in parallel, optionally checking
    load average.
  * mispipe: Fix closing of extra pipe FD before starting command
    so it is not inherited by daemons. Closes: #533448
    (Thanks, Jeremie Koenig)

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Jul 2009 11:01:41 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.2
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/
 
@@ -30,3 +30,4 @@
   - mispipe: pipe two commands, returning the exit status of the first
   - isutf8: check if a file or standard input is utf-8
   - lckdo: execute a program with a lock held
+  - parallel: run multiple jobs at once

## moreutils 0.39~bpo50+1

=== debian/changelog ===
moreutils (0.39~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Philipp Kern <pkern@debian.org>  Tue, 23 Mar 2010 08:52:02 +0100

moreutils (0.39) unstable; urgency=low

  * parallel: Fix exit code handling when commands are specified after --
  * parallel: Make -j 0 do something reasonable (start all jobs at once).
  * parallel: Fix to really avoid running new jobs when load is too high.
  * parallel: Fix logic error in code handling -l that could make parallel
    return a bogus 255 exit code when all jobs succeeded. Closes: #569617
  * parallel: Allow a decimal load value to be specified with -l
  * Caps sillyness. Closes: #570815
  * zrun: Add support for .xz files.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Feb 2010 15:51:26 -0500

moreutils (0.38) unstable; urgency=low

  * Description improvements. Closes: #549450
    (Thanks, Justin B Rye)
  * parallel: Allow running independent commands,
    like `parallel -j3 -- ls df "echo hi"`
  * ifdata: Add FreeBSD kernel support, although some of the more esoteric
    interface options are not currently supported in FreeBSD.
  * parallel: Define WEXITED to allow building on FreeBSD kernel.
  * Thanks Enrico Tassi for the FreeBSD kernel support, which should
    be enough to get moreutils built on Debian kFreeBSD. Closes: #562609

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Feb 2010 15:50:42 -0500

=== debian/control ===
Source: moreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.8.4
Vcs-Git: git://git.kitenet.net/moreutils
Homepage: http://kitenet.net/~joey/code/moreutils/

Package: moreutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: libtime-duration-perl, libtimedate-perl
Conflicts: lckdo
Replaces: lckdo
Description: additional Unix utilities
 This is a growing collection of the Unix tools that nobody thought
 to write long ago, when Unix was young.
 .
 So far, it includes the following utilities:
  - combine: combine the lines in two files using boolean operations
  - ifdata: get network interface info without parsing ifconfig output
  - ifne: run a program if the standard input is not empty
  - isutf8: check if a file or standard input is utf-8
  - lckdo: execute a program with a lock held
  - mispipe: pipe two commands, returning the exit status of the first
  - parallel: run multiple jobs at once
  - pee: tee standard input to pipes
  - sponge: soak up standard input and write to a file
  - ts: timestamp standard input
  - vidir: edit a directory in your text editor
  - vipe: insert a text editor into a pipe
  - zrun: automatically uncompress arguments to command

## moreutils 0.41

=== debian/changelog ===
moreutils (0.41) unstable; urgency=low

  * ifdata.docbook: Mark interface as required in synopsis. Closes: #588397
  * Add missing AUTHOR section to docbook man pages.
  * sponge: Correct bad use of fread that caused a trailing quantity of
    soaked data to be silently discarded when a temp file was used
    and sponge output to stdout. Closes: #595220

 -- Joey Hess <joeyh@debian.org>  Thu, 02 Sep 2010 16:47:10 -0400

moreutils (0.40) unstable; urgency=low

  * lckdo: Now deprecated, since util-linux's flock(1) can do the same
    thing.
  * parallel: -i will now replace {} inside parameters, before the {} had
    to be a separate parameter.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Jul 2010 19:38:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/

## moreutils 0.43

=== debian/changelog ===
moreutils (0.43) unstable; urgency=low

  * chronic: New command, runs a command quietly, unless it fails.
  * Now depends on IPC::Run, used by chronic.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Oct 2010 15:54:37 -0400

moreutils (0.42) unstable; urgency=low

  * sponge: Guarantee that output file is always updated atomically,
    by renaming a temp file into place. Closes: #592144
  * sponge: Ensure that output file permissions are always preserved
    if it already exists.
  * Typo. Closes: #596032

 -- Joey Hess <joeyh@debian.org>  Wed, 06 Oct 2010 20:03:25 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: moreutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libipc-run-perl
 Suggests: libtime-duration-perl, libtimedate-perl
 Conflicts: lckdo
 Replaces: lckdo
@@ -18,6 +18,7 @@
  to write long ago, when Unix was young.
  .
  So far, it includes the following utilities:
+  - chronic: runs a command quietly unless it fails
   - combine: combine the lines in two files using boolean operations
   - ifdata: get network interface info without parsing ifconfig output
   - ifne: run a program if the standard input is not empty

## moreutils 0.44

=== debian/changelog ===
moreutils (0.44) unstable; urgency=low

  * pee: Propigate exit status of commands run.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Mar 2011 17:38:14 -0400

## moreutils 0.45

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BINS=isutf8 ifdata ifne pee sponge mispipe lckdo parallel
-PERLSCRIPTS=vidir vipe ts combine zrun
-MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 mispipe.1 lckdo.1 parallel.1
+PERLSCRIPTS=vidir vipe ts combine zrun chronic
+MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 chronic.1 mispipe.1 lckdo.1 parallel.1
 CFLAGS=-O2 -g -Wall
 INSTALL_BIN?=install -s
 PREFIX=/usr

=== debian/changelog ===
moreutils (0.45) unstable; urgency=low

  * ts: Support %.s for seconds sinch epoch with subsecond resolution.
    Closes: #619764

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:44:28 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/

## moreutils 0.47~bpo60+1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-BINS=isutf8 ifdata ifne pee sponge mispipe lckdo parallel
+BINS=isutf8 ifdata ifne pee sponge mispipe lckdo parallel errno
 PERLSCRIPTS=vidir vipe ts combine zrun chronic
-MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 chronic.1 mispipe.1 lckdo.1 parallel.1
+MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 chronic.1 mispipe.1 lckdo.1 parallel.1 errno.1
 CFLAGS=-O2 -g -Wall
 INSTALL_BIN?=install -s
 PREFIX=/usr
@@ -10,7 +10,7 @@
 all: $(BINS) $(MANS)
 
 clean:
-	rm -f $(BINS) $(MANS)
+	rm -f $(BINS) $(MANS) dump.c errnos.h errno.o
 
 install:
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
@@ -46,6 +46,15 @@
 
 parallel.1: parallel.docbook
 	$(DOCBOOK2XMAN) $<
+	
+errno.o: errnos.h
+errnos.h:
+	echo '#include <errno.h>' > dump.c
+	$(CC) -E -dD dump.c | awk '/^#define E/ { printf "{\"%s\",%s},\n", $$2, $$2 }' > errnos.h
+	rm -f dump.c
+	
+errno.1: errno.docbook
+	$(DOCBOOK2XMAN) $<
 
 %.1: %
 	pod2man --center=" " --release="moreutils" $< > $@;

=== debian/changelog ===
moreutils (0.47~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze-backports.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jun 2014 13:58:26 +0200

moreutils (0.47) unstable; urgency=low

  * errno: New utility that looks up errno numbers or names.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2012 16:31:17 -0400

moreutils (0.46) unstable; urgency=low

  * Typo. Closes: #649158
  * combine: Avoid reading files twice, to support data coming from
    pipes. Closes: #667960 Thanks, Carsten Hey

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Apr 2012 16:19:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
+Uploaders: Holger Levsen <holger@debian.org>
 Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/
@@ -20,6 +21,7 @@
  So far, it includes the following utilities:
   - chronic: runs a command quietly unless it fails
   - combine: combine the lines in two files using boolean operations
+  - errno: look up errno names and descriptions
   - ifdata: get network interface info without parsing ifconfig output
   - ifne: run a program if the standard input is not empty
   - isutf8: check if a file or standard input is utf-8

## moreutils 0.48

=== debian/changelog ===
moreutils (0.48) unstable; urgency=low

  * Allow overriding PREFIX and CFLAGS to make the build more flexible
    (Thanks, Ben Walton)
  * Typo. Closes: #697113
  * ts: -i enables incremental timestamping.
    Thanks, Thomas Vander Stichele
  * ts: Support single-digit day dates.
    Thanks, Peter Lunicks
  * sponge: Check fclose to detect certian short reads. Closes: #704453

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:50:03 -0400

## moreutils 0.49

=== debian/changelog ===
moreutils (0.49) unstable; urgency=low

  * ts: Fix timezone used with -i
  * errno, isutf8: Fix zero-termination of option list, which could lead
    to getopt crash. Closes: #715867
    (Thanks, Mayhem Team)

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2013 16:21:41 -0400

## moreutils 0.50

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 BINS=isutf8 ifdata ifne pee sponge mispipe lckdo parallel errno
 PERLSCRIPTS=vidir vipe ts combine zrun chronic
 MANS=sponge.1 vidir.1 vipe.1 isutf8.1 ts.1 combine.1 ifdata.1 ifne.1 pee.1 zrun.1 chronic.1 mispipe.1 lckdo.1 parallel.1 errno.1
-CFLAGS=-O2 -g -Wall
+CFLAGS?=-O2 -g -Wall
 INSTALL_BIN?=install -s
-PREFIX=/usr
+PREFIX?=/usr
 
 DOCBOOK2XMAN=docbook2x-man

=== debian/changelog ===
moreutils (0.50) unstable; urgency=low

  * Fix build on Hurd. Closes: #716653
    (Thanks, Pino Toscano)

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 13:00:24 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
 Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Holger Levsen <holger@debian.org>
 Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/

=== debian/rules ===
#!/usr/bin/make -f

# Prevent the makefile from stripping, in case it's being built in
# unstripped mode.
export INSTALL_BIN=install

%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/moreutils/news

## moreutils 0.51

=== debian/changelog ===
moreutils (0.51) unstable; urgency=low

  * Fix ifdata to build on OS X. Thanks, Peter Eisentraut
    Closes: #575294
  * use docbook-xsl for building man pages. Thanks, Peter Eisentraut
    for extensive patch set!
    Closes: #728831
  * Fix ifdata, ifne, parallel to build on illumos. Thanks, Gabriele Giacone
    Closes: #733736

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2014 12:01:21 -0400

## moreutils 0.52

=== debian/changelog ===
moreutils (0.52) unstable; urgency=medium

  * Fix docbook markup for parallel examples. Closes: #756377
  * ts: Add -s option to make timestamp relative to start.
    Thanks, Adam Juraszek.

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Sep 2014 14:12:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: moreutils
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook2x, docbook-xml
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/moreutils
 Homepage: http://kitenet.net/~joey/code/moreutils/

## moreutils 0.53

=== debian/changelog ===
moreutils (0.53) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 00:31:54 -0400

## moreutils 0.54

=== debian/changelog ===
moreutils (0.54-1) unstable; urgency=medium

  * Set debhelper compat to 9.
  * Remove unused lines from debian/rules.
  * New maintainer (Closes: #768529).
  * Update copyright.
  * Set source format to '3.0 (quilt)'.
  * Update Standards-Version to 3.9.6 (no changes required).
  * New upstream version (0.54).
    Includes a vidir bug fix (Closes: #654326).

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Tue,  2 Dec 2014 04:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: moreutils
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.5
-Vcs-Git: git://git.kitenet.net/moreutils
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
+Maintainer: Nicolas Schier <nicolas@hjem.rpa.no>
+Standards-Version: 3.9.6
 Homepage: http://kitenet.net/~joey/code/moreutils/
 
 Package: moreutils

## moreutils 0.56

=== debian/changelog ===
moreutils (0.56-1) unstable; urgency=medium

  * New upstream version:
    * ifdata: Fix error messages when a non-existent network interface
      is queried. Closes: #386754
    * errno.docbook: Fix typo. Closes: #749399
    * vidir: Create missing target directories. Closes: #728688
  * All patches applied upstream
  * Upload to unstable

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Thu, 04 Jun 2015 04:37:11 +0200

moreutils (0.55-2) experimental; urgency=medium

  * errno.docbook: fix typo (Closes: #749399) (upstream patch)
  * ifdata: descriptive non-exist netdev error msg (Closes: #386754)
    (upstream patch)
  * vidir: Create missing target directories (Closes: #728688)

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Fri, 17 Apr 2015 05:32:21 +0200

moreutils (0.55-1) experimental; urgency=medium

  * New upstream release:
    * parallel: serialise output through internal pipe (Closes: #704125).
    * sponge: add append option '-a' (Closes: #623197),
      thanks, Michael Stummvoll.
    * sponge: make '-a' atomically, if possible.
    * copyright and URL updates.
  * Add preliminary watch file (download does not work).

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Wed, 28 Jan 2015 08:48:55 +0100

## moreutils 0.57

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 INSTALL_BIN?=install -s
 PREFIX?=/usr
 
-DOCBOOK2XMAN=docbook2x-man
+DOCBOOK2XMAN=xsltproc --param man.authors.section.enabled 0 /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
 
 all: $(BINS) $(MANS)
 
@@ -23,30 +23,10 @@
 check: isutf8
 	./check-isutf8
 
-isutf8.1: isutf8.docbook
+%.1: %.docbook
+	xmllint --noout --valid $<
 	$(DOCBOOK2XMAN) $<
 
-ifdata.1: ifdata.docbook
-	$(DOCBOOK2XMAN) $<
-
-ifne.1: ifne.docbook
-	$(DOCBOOK2XMAN) $<
-
-pee.1: pee.docbook
-	$(DOCBOOK2XMAN) $<
-
-sponge.1: sponge.docbook
-	$(DOCBOOK2XMAN) $<
-
-mispipe.1: mispipe.docbook
-	$(DOCBOOK2XMAN) $<
-
-lckdo.1: lckdo.docbook
-	$(DOCBOOK2XMAN) $<
-
-parallel.1: parallel.docbook
-	$(DOCBOOK2XMAN) $<
-	
 errno.o: errnos.h
 errnos.h:
 	echo '#include <errno.h>' > dump.c

=== debian/changelog ===
moreutils (0.57-1) unstable; urgency=medium

  * New upstream version (0.57); no functional changes.

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Thu, 16 Jul 2015 22:22:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
 Maintainer: Nicolas Schier <nicolas@hjem.rpa.no>
 Standards-Version: 3.9.6
-Homepage: http://kitenet.net/~joey/code/moreutils/
+Homepage: http://joeyh.name/code/moreutils/
 
 Package: moreutils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Prevent the makefile from stripping, in case it's being built in
# unstripped mode.
export INSTALL_BIN=install

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs
	install -D debian/changelog.upstream debian/moreutils/usr/share/doc/moreutils/changelog

=== debian/watch ===
version=3

opts=downloadurlmangle=s/^.*version_(.*)\//http:\/\/ftp.debian.org\/debian\/pool\/main\/m\/moreutils\/moreutils_$1.orig.tar.gz/,filenamemangle=s/version_(.+)\/$/moreutils_$1.orig.tar.gz/ \
http://joeyh.name/code/moreutils/news/ ^.*version_(.+)/

## moreutils 0.58

=== debian/changelog ===
moreutils (0.58-1) unstable; urgency=medium

  * New upstream version (0.58):
    + OpenBSD compile fix.
    + ts: Quiet perl's complaints about utf-8. Closes: #812143

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Tue, 01 Mar 2016 11:43:24 +0100

## moreutils 0.59

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,9 @@
 CFLAGS?=-O2 -g -Wall
 INSTALL_BIN?=install -s
 PREFIX?=/usr
+DOCBOOKXSL?=/usr/share/xml/docbook/stylesheet/docbook-xsl
 
-DOCBOOK2XMAN=xsltproc --param man.authors.section.enabled 0 /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
+DOCBOOK2XMAN=xsltproc --param man.authors.section.enabled 0 $(DOCBOOKXSL)/manpages/docbook.xsl
 
 all: $(BINS) $(MANS)

=== debian/changelog ===
moreutils (0.59-1) unstable; urgency=medium

  * New upstream version (0.59):
    chronic: New options -v (stdout/stderr verbosity) and -e (display any
    stderr, not just on non-null return value)
  * debian/copyright: update copyright year
  * debian/control: bump standards to 3.9.8 (no changes required)

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Mon, 11 Apr 2016 07:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), docbook-xml, docbook-xsl, libxml2-utils, xsltproc
 Maintainer: Nicolas Schier <nicolas@hjem.rpa.no>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://joeyh.name/code/moreutils/
 
 Package: moreutils
